io.vertx.ext.web.handler

## Interface DigestAuthHandler

- All Superinterfaces:
    AuthenticationHandler, Handler<RoutingContext>

      public interface DigestAuthHandler
      extends AuthenticationHandler

  An auth handler that provides HTTP Basic Authentication support.
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_NONCE_EXPIRE_TIMEOUT` The default nonce expire timeout to use in milliseconds.

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DigestAuthHandler` | `create(Vertx vertx, HtdigestAuth authProvider)` Create a digest auth handler
    `static DigestAuthHandler` | `create(Vertx vertx, HtdigestAuth authProvider, long nonceExpireTimeout)` Create a digest auth handler, specifying the expire timeout for nonces.

    - ### Methods inherited from interface io.vertx.ext.web.handler.AuthenticationHandler

      `authenticateHeader, parseCredentials, parseCredentials, postAuthentication`

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### DEFAULT_NONCE_EXPIRE_TIMEOUT

          static final long DEFAULT_NONCE_EXPIRE_TIMEOUT

      The default nonce expire timeout to use in milliseconds.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static DigestAuthHandler create(Vertx vertx,
                                          HtdigestAuth authProvider)

      Create a digest auth handler
      Parameters:
        `vertx` - the vertx instance
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          static DigestAuthHandler create(Vertx vertx,
                                          HtdigestAuth authProvider,
                                          long nonceExpireTimeout)

      Create a digest auth handler, specifying the expire timeout for nonces.
      Parameters:
        `vertx` - the vertx instance
        `authProvider` - the auth service to use
        `nonceExpireTimeout` - the nonce expire timeout in milliseconds.
      Returns:
        the auth handler

Copyright © 2021 Eclipse. All rights reserved.